/***************************************************************************
 *                                                                         *
 *   copyright (C) 2007 by Timo Benk                                       *
 *   email: tbenk@pwsafe.de                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#ifndef INIT_H
#define INIT_H 1

#include <gcrypt.h>
#include <gcrypt-module.h>
#include "config.h"
#include "sha1_init_state_zero.h"

#ifdef __cplusplus
extern "C" {
#endif

/**
 * Initializes the pws library. Must be called before
 * using any other pwslib functions.
 *
 * @param gry_sec_mem  - libgcrypt secure memory to be initialized in megabytes.
 */
void init_pws_lib (int grcy_sec_mem);

/**
 * Releases the pwslib.
 */
void release_pws_lib ();

#ifdef __cplusplus
}
#endif

#endif

/* vim:set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
